Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1820918

Summary: Review Request: chisel - TCP tunnel over HTTP
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-14 06:42:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1820851, 1820855, 1820859    
Bug Blocks: 563471    

Description Fabian Affolter 2020-04-04 18:07:12 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/chisel.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/chisel-1.3.2-1.fc31.src.rpm

Project URL: https://github.com/jpillora/chisel

Description:
A fast TCP tunnel over HTTP.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint chisel-1.3.2-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint chisel*
chisel.x86_64: W: no-manual-page-for-binary chisel
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-19 15:46:56 UTC
 - Bump to 1.6.0


 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-06-19 18:22:34 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-06-19 18:53:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/chisel